% Example of WSS RP : sine wave with the Theta of uniform distributed RV  
% Theta : uniform distributed in (0,2pi)
%
%
ITR=50;
PI=3.141592;
Theta = 0;             % amplitude of sine wave
A_max = 1;
%
f=5;               % frequency
N=0:1000;          % the number of samples
Omega=2*PI*f;      % angle velocity
%
t=N ./ 2000;
%
for i=1:ITR,
    Theta(i) = 2*pi*rand;  % theta value : uniform distributed in (0,2pi)
    sine_value(i,:) = A_max*sin(t .* Omega + Theta(i));
end;
%
for i=1:ITR,
    plot(t,sine_value(i,:),'-b');
    grid;
    xlabel('t[sec]');
    ylabel('Amplitude[V]');
    axis([0 0.5 -3.5 3.5]);
    hold on;
end;
plot(t,zeros(1,length(t)),'-r');  % mean value
grid;
hold off;